Show / Hide Table of Contents

# Struct AgentInterface

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentInterface

### Fields

| Improve this Doc View Source

#### AddonId

##### Declaration

    public uint AddonId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### AtkEventInterface

##### Declaration

    public AtkEventInterface AtkEventInterface

##### Field Value

Type | Description
--- | ---
AtkEventInterface |

| Improve this Doc View Source

#### UiModule

##### Declaration

    public UIModule*UiModule

##### Field Value

Type | Description
--- | ---
UIModule* |

### Methods

| Improve this Doc View Source

#### GetAddonID()

##### Declaration

    [VirtualFunction(8)]
    public uint GetAddonID()

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Hide()

##### Declaration

    [VirtualFunction(4)]
    public void Hide()

| Improve this Doc View Source

#### IsAgentActive()

##### Declaration

    [VirtualFunction(5)]
    public bool IsAgentActive()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Show()

##### Declaration

    [VirtualFunction(3)]
    public void Show()